# $Revision: 1.34 $, $Date: 2008/08/22 15:07:35 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	XML
%define		pnam	Stream
Summary:	XML::Stream - XML streams interface for Perl
Summary(pl.UTF-8):	XML::Stream - interfejs do strumieni XML dla Perla
Name:		perl-XML-Stream
Version:	1.22
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/XML/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	ae09400fac17eaea4c9b12283db06881
Patch0:		%{name}-warnings.patch
URL:		http://search.cpan.org/dist/XML-Stream/
%{?with_tests:BuildRequires:	perl-Authen-SASL}
BuildRequires:	perl-Unicode-String >= 2.06
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	'perl(HTTP::ProxyAutoConfig)'

%description
This module provides you with access to XML Streams. An XML Stream is
just that. A stream of XML over a connection between two computers.

%description -l pl.UTF-8
Ten moduł daje dostęp do strumieni XML. Strumień XML jest po prostu
tym, co mówi nazwa - strumieniem XML po połączeniu między dwoma
komputerami.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
for i in Stream.pm Stream/*.pm Stream/*/*.pm; do
	%{__perl} -pi -e 's/^(use 5.006_)0(01;)(.*)$/$1$2$3/' lib/XML/$i
done
%patch0 -p1

%build
echo -e "y\ny\ny\n" | %{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	UNINST=0 \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README CHANGES INFO
%{perl_vendorlib}/XML/*
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-XML-Stream.spec,v $
Revision 1.34  2008/08/22 15:07:35  qboosh
- complete
- License is "same as perl"

Revision 1.33  2008/08/22 14:47:01  glen
- generic url; rel 3

Revision 1.32  2007/02/13 08:06:38  glen
- tabs in preamble

Revision 1.31  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.30  2006/10/20 19:27:30  ankry
- rel. 2

Revision 1.29  2005/01/23 15:17:02  agaran
- small patch fixing compare with undefined scalar

Revision 1.28  2004/12/02 06:25:18  ankry
- autoupdated to 1.22

Revision 1.27  2004/11/03 22:30:57  paladine
- formatting

Revision 1.26  2004/04/05 10:52:15  adamg
- updated to 1.21

Revision 1.25  2004/04/04 17:31:34  adamg
- perl-Authen-SASL is requires when doing tests

Revision 1.24  2004/04/04 17:23:17  adamg
- updated to 1.19

Revision 1.23  2004/01/07 13:30:09  qboosh
- added tests, longer descriptions, BR for perl with vendor dirs

Revision 1.22  2003/09/22 09:44:46  migo
- up to 1.17

Revision 1.21  2003/09/09 10:24:56  ankry
- spaces -> tab

Revision 1.20  2003/08/19 14:28:06  qboosh
- updated _noauto for new wrappers, cosmetics

Revision 1.19  2003/05/28 13:01:14  malekith
- massive attack: source-md5

Revision 1.18  2003/05/25 06:25:11  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.17  2003/05/06 00:33:44  ankry
- fixed perl version required by modele, cosmetics; rel. 3

Revision 1.16  2003/04/11 18:59:45  radek
- BR: perl-devel; do not BR: perl

Revision 1.15  2003/03/01 22:10:37  radek
- should be ready for perl-5.8.0; release++

Revision 1.14  2003/02/18 15:39:18  ankry
- massive attack: change CPAN URLs

Revision 1.13  2002/11/26 10:07:44  mis
- autoupdated to 1.16

Revision 1.12  2002/07/20 10:24:06  qboosh
- updated to 1.15, added BR: perl-Unicode-String, BuildArch: noarch

Revision 1.11  2002/07/12 09:49:56  qboosh
- new %%doc and cosmetics

Revision 1.10  2002/07/11 08:06:54  depesz
- new version; should work; STBR

Revision 1.9  2002/05/11 14:28:14  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.8  2002/02/25 10:35:40  depesz
cleanup; revision++

Revision 1.7  2002/02/22 23:29:34  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/02/13 14:21:40  depesz
automatic: Source location unfied, Relase Up

Revision 1.5  2002/02/10 15:38:42  depesz
adapterized

Revision 1.4  2002/02/09 12:59:38  depesz
- unfied source path

Revision 1.3  2002/01/18 02:14:34  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2002/01/02 14:30:05  qboosh
- use %%rpmcflags and %%_examplesdir macros

Revision 1.1  2001/12/31 08:25:22  jajcus
- new spec
